
CREATE TABLE `plugin_sw_vmware_healthmon_cimdata` (
  `ClientID` int(11) NOT NULL,
  `LocationID` int(11) NOT NULL,
  `ComputerID` int(11) NOT NULL,
  `HostName` varchar(245) NOT NULL,
  `CIM_Item` varchar(245) NOT NULL,
  `CIM_Value` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`CIM_Item`,`HostName`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8



CREATE TABLE `plugin_sw_vmware_healthmon_types` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `DataType` varchar(145) NOT NULL,
  `DataValue` int(11) NOT NULL,
  `DataDesc` varchar(145) NOT NULL,
  `DataStatus` varchar(15) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=106 DEFAULT CHARSET=utf8



INSERT INTO `plugin_sw_vmware_healthmon_types` (`DataType`,`DataValue`,`DataDesc`,`DataStatus`) VALUES ('dell', 0 , 'Unknown', 'Good'),('dell', 1 , 'Other', 'Good'),('dell', 2 , 'OK', 'Good'),('dell', 3 , 'Degraded','Critical'),('dell', 4 , 'Stressed','Critical'),('dell', 5 , 'Predictive Failure','Critical'),('dell', 6 , 'Error','Critical'),('dell', 7 , 'Non-Recoverable Error','Critical'),('dell', 8 , 'Starting', 'Good'),('dell', 9 , 'Stopping', 'Good'),('dell', 10 , 'Stopped', 'Good'),('dell', 11 , 'In Service', 'Good'),('dell', 12 , 'No Contact', 'Good'),('dell', 13 , 'Lost Communication','Critical'),('dell', 14 , 'Aborted','Critical'),('dell', 15 , 'Dormant', 'Good'),('dell', 16 , 'Supporting Entity in Error','Critical'),('dell', 17 , 'Completed', 'Good'),('dell', 18 , 'Power Mode', 'Good'),('dell', 19 , 'DTMF Reserved', 'Good'),('dell', 20 , 'Vender Reserved', 'Good')
INSERT INTO `plugin_sw_vmware_healthmon_types` (`DataType`,`DataValue`,`DataDesc`,`DataStatus`) VALUES ('intel', 0 , 'Unknown', 'Good'),('intel', 1 , 'Other', 'Good'),('intel', 2 , 'OK', 'Good'),('intel', 3 , 'Degraded','Critical'),('intel', 4 , 'Stressed','Critical'),('intel', 5 , 'Predictive Failure','Critical'),('intel', 6 , 'Error','Critical'),('intel', 7 , 'Non-Recoverable Error','Critical'),('intel', 8 , 'Starting', 'Good'),('intel', 9 , 'Stopping', 'Good'),('intel', 10 , 'Stopped', 'Good'),('intel', 11 , 'In Service', 'Good'),('intel', 12 , 'No Contact','Good'),('intel', 13 , 'Lost Communication','Critical'),('intel', 14 , 'Aborted','Critical'),('intel', 15 , 'Dormant', 'Good'),('intel', 16 , 'Supporting Entity in Error','Critical'),('intel', 17 , 'Completed', 'Good'),('intel', 18 , 'Power Mode', 'Good'),('intel', 19 , 'DTMF Reserved', 'Good'),('intel', 20 , 'Vender Reserved', 'Good')
INSERT INTO `plugin_sw_vmware_healthmon_types` (`DataType`,`DataValue`,`DataDesc`,`DataStatus`) VALUES ('ibm', 0 , 'Unknown', 'Good'),('ibm', 1 , 'Other', 'Good'),('ibm', 2 , 'OK', 'Good'),('ibm', 3 , 'Degraded','Critical'),('ibm', 4 , 'Stressed','Critical'),('ibm', 5 , 'Predictive Failure','Critical'),('ibm', 6 , 'Error','Critical'),('ibm', 7 , 'Non-Recoverable Error','Critical'),('ibm', 8 , 'Starting', 'Good'),('ibm', 9 , 'Stopping', 'Good'),('ibm', 10 , 'Stopped', 'Good'),('ibm', 11 , 'In Service', 'Good'),('ibm', 12 , 'No Contact', 'Good'),('ibm', 13 , 'Lost Communication','Critical'),('ibm', 14 , 'Aborted','Critical'),('ibm', 15 , 'Dormant', 'Good'),('ibm', 16 , 'Supporting Entity in Error','Critical'),('ibm', 17 , 'Completed', 'Good'),('ibm', 18 , 'Power Mode', 'Good'),('ibm', 19 , 'DTMF Reserved', 'Good'),('ibm', 20 , 'Vender Reserved', 'Good')
INSERT INTO `plugin_sw_vmware_healthmon_types` (`DataType`,`DataValue`,`DataDesc`,`DataStatus`) VALUES ('unknown', 0 , 'Unknown', 'Good'),('unknown', 1 , 'Other', 'Good'),('unknown', 2 , 'OK', 'Good'),('unknown', 3 , 'Degraded','Critical'),('unknown', 4 , 'Stressed','Critical'),('unknown', 5 , 'Predictive Failure','Critical'),('unknown', 6 , 'Error', 'Critical'),('unknown', 7 , 'Non-Recoverable Error','Critical'),('unknown', 8 , 'Starting', 'Good'),('unknown', 9 , 'Stopping', 'Good'),('unknown', 10 , 'Stopped'),('unknown', 11 , 'In Service', 'Good'),('unknown', 12 , 'No Contact','Good'),('unknown', 13 , 'Lost Communication'),('unknown', 14 , 'Aborted','Critical'),('unknown', 15 , 'Dormant', 'Good'),('unknown', 16 , 'Supporting Entity in Error','Critical'),('unknown', 17 , 'Completed', 'Good'),('unknown', 18 , 'Power Mode', 'Good'),('unknown', 19 , 'DTMF Reserved', 'Good'),('unknown', 20 , 'Vender Reserved', 'Good')
INSERT INTO `plugin_sw_vmware_healthmon_types` (`DataType`,`DataValue`,`DataDesc`,`DataStatus`) VALUES ('hp', 0 , 'Unknown', 'Good'),('hp', 1 , 'Other', 'Good'),('hp', 2 , 'OK', 'Good'),('hp', 3 , 'Degraded','Critical'),('hp', 4 , 'Stressed','Critical'),('hp', 5 , 'Predictive Failure','Critical'),('hp', 6 , 'Error', 'Critical'),('hp', 7 , 'Non-Recoverable Error','Critical'),('hp', 8 , 'Starting', 'Good'),('hp', 9 , 'Stopping', 'Good'),('hp', 10 , 'Stopped'),('hp', 11 , 'In Service', 'Good'),('hp', 12 , 'No Contact','Good'),('hp', 13 , 'Lost Communication'),('hp', 14 , 'Aborted','Critical'),('hp', 15 , 'Dormant', 'Good'),('hp', 16 , 'Supporting Entity in Error','Critical'),('hp', 17 , 'Completed', 'Good'),('hp', 18 , 'Power Mode', 'Good'),('hp', 19 , 'DTMF Reserved', 'Good'),('hp', 20 , 'Vender Reserved', 'Good')
